## angelfish 21.07

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: 2014-2015 Sebastian Kügler <sebas@kde.org>
# SPDX-FileCopyrightText: 2020 Jonah Brüchert <jbb@kaidan.im>
#
# SPDX-License-Identifier: LGPL-2.0-or-later

project(angelfish)

cmake_minimum_required(VERSION 2.8.12)
set(KF5_MIN_VERSION "5.84.0")
set(QT_MIN_VERSION "5.15.0")

set(PROJECT_VERSION "21.07")

set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

option(BUILD_TESTING "Build test programs" ON)

################# Disallow in-source build #################

if("${CMAKE_SOURCE_DIR}" STREQUAL "${CMAKE_BINARY_DIR}")
   message(FATAL_ERROR "This application requires an out of source build. Please create a separate build directory.")
endif()

include(FeatureSummary)

################# set KDE specific information #################

find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)

# where to look first for cmake modules, before ${CMAKE_ROOT}/Modules/ is checked
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})

include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEClangFormat)
include(ECMPoQmTools)
include(KDECompilerSettings NO_POLICY_SCOPE)

ecm_setup_version(${PROJECT_VERSION}
    VARIABLE_PREFIX ANGELFISH
    VERSION_HEADER ${CMAKE_CURRENT_BINARY_DIR}/version.h
)

################# Find dependencies #################

find_package(Qt5 ${QT_MIN_VERSION} REQUIRED NO_MODULE COMPONENTS Core Quick Test Gui Svg QuickControls2 Sql Feedback)
find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS Kirigami2 Purpose I18n Config CoreAddons DBusAddons WindowSystem Notifications)

# Necessary to support QtWebEngine installed in a different prefix than the rest of Qt (e.g flatpak)
find_package(Qt5WebEngine REQUIRED)

# For adblocker
find_package(Corrosion)
set_package_properties(Corrosion PROPERTIES
    PURPOSE "Required to build the builtin adblocker"
    DESCRIPTION "CMake scripts to seamlessly build and link to targets using cargo"
    URL https://github.com/AndrewGaspar/corrosion
)

################# Definitions to pass to the compiler #################

add_definitions(-DQT_NO_FOREACH)
kde_enable_exceptions()

################# build and install #################
add_subdirectory(lib)
add_subdirectory(src)
if (BUILD_TESTING)
    add_subdirectory(autotests)
endif()
add_subdirectory(angelfish-webapp)

install(PROGRAMS org.kde.angelfish.desktop DESTINATION ${KDE_INSTALL_APPDIR})
install(FILES org.kde.angelfish.metainfo.xml DESTINATION ${KDE_INSTALL_METAINFODIR})
install(FILES org.kde.angelfish.svg DESTINATION ${KDE_INSTALL_FULL_ICONDIR}/hicolor/scalable/apps)

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES src/*.cpp src/*.h lib/*.cpp lib/*.h angelfish-webapp/*.cpp angelfish-webapp/*.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})

=== lib/CMakeLists.txt ===
add_library(AngelfishCore STATIC
    browsermanager.cpp
    bookmarkshistorymodel.cpp
    dbmanager.cpp
    iconimageprovider.cpp
    sqlquerymodel.cpp
    urlutils.cpp
    urlobserver.cpp
    useragent.cpp
    tabsmodel.cpp
    settingshelper.cpp
    angelfishwebprofile.cpp
    downloadmanager.cpp
    qquickwebenginedownloaditem.cpp
    resources.qrc
)

kconfig_add_kcfg_files(AngelfishCore GENERATE_MOC angelfishsettings.kcfgc)

target_include_directories(AngelfishCore PUBLIC ${CMAKE_CURRENT_SOURCE_DIR})
target_compile_definitions(AngelfishCore PRIVATE -DQT_NO_CAST_FROM_ASCII)
target_link_libraries(AngelfishCore PUBLIC
    Qt5::Core
    Qt5::Sql
    Qt5::WebEngine
    KF5::ConfigCore
    KF5::ConfigGui
    KF5::I18n
    KF5::Notifications
)

install(FILES angelfishsettings.kcfg DESTINATION ${KCFG_INSTALL_DIR})

=== debian/changelog ===
angelfish (21.07-2build2) jammy; urgency=medium

  * No-change rebuild against qtwebengine-abi-5-15-9.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Sun, 10 Apr 2022 19:04:11 +0300

angelfish (21.07-2build1) jammy; urgency=medium

  * No-change rebuild against qtwebengine-abi-5-15-8.

 -- Rik Mills <rikmills@kde.org>  Fri, 01 Apr 2022 11:10:00 +0100

angelfish (21.07-2) unstable; urgency=medium

  * Source only upload for migration to testing

 -- Pirate Praveen <praveen@debian.org>  Mon, 14 Feb 2022 23:39:55 +0530

angelfish (21.07-1) unstable; urgency=medium

  * New upstream release 21.07
  * Update minimum version of kf5 components 5.84

 -- Pirate Praveen <praveen@debian.org>  Mon, 24 Jan 2022 19:16:51 +0530

angelfish (21.06-1) unstable; urgency=low

  [ Nilesh Patra, Pirate Praveen ]
  * Initial release. (Closes: #1003623)

 -- Nilesh Patra <nilesh@debian.org>  Thu, 13 Jan 2022 14:44:52 +0530

=== debian/control ===
Source: angelfish
Section: web
Priority: optional
Maintainer: Pirate Praveen <praveen@debian.org>
Uploaders: Nilesh Patra <nilesh@debian.org>
Build-Depends: cmake, debhelper-compat (= 13),
  extra-cmake-modules,
  kirigami2-dev,
  libkf5config-dev (>= 5.84~),
  libkf5coreaddons-dev (>= 5.84~),
  libkf5dbusaddons-dev (>= 5.84~),
  libkf5i18n-dev (>= 5.84~),
  libkf5purpose-dev (>= 5.84~),
  libkf5windowsystem-dev (>= 5.84~),
  libqt5sql5-sqlite,
  libqt5svg5-dev,
  qtbase5-dev,
  qtquickcontrols2-5-dev,
  qtwebengine5-dev,
  qtfeedback5-dev,
  libkf5notifications-dev (>= 5.84~),
  librust-cmake-dev
Standards-Version: 4.6.0
Homepage: https://apps.kde.org/angelfish/
Vcs-Browser: https://salsa.debian.org/debian/angelfish
Vcs-Git: https://salsa.debian.org/debian/angelfish.git
Rules-Requires-Root: no

Package: angelfish
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}, qml-module-qtfeedback, qml-module-qtwebengine
Description: Web browser for Plasma Mobile
 This is a webbrowser designed to
 - be used on small mobile devices,
 - integrate well in Plasma workspaces
 .
 This use QtWebEngine as backend and supports webrtc.

## angelfish 22.06

=== debian/changelog ===
angelfish (22.06-1) unstable; urgency=medium

  * New upstream release 22.06

 -- Nilesh Patra <nilesh@debian.org>  Wed, 06 Jul 2022 16:05:15 +0530

angelfish (22.04-1) unstable; urgency=medium

  * New upstream release 22.04

 -- Nilesh Patra <nilesh@debian.org>  Sun, 29 May 2022 10:16:48 +0530

angelfish (22.02-2) unstable; urgency=medium

  * Add qml-module-org-kde-kirigami2 as dependency (Closes: #1008940)
    Thanks to Marek Běl

 -- Pirate Praveen <praveen@debian.org>  Sat, 16 Apr 2022 10:59:46 +0530

angelfish (22.02-1) unstable; urgency=medium

  * New upstream release 22.02

 -- Nilesh Patra <nilesh@debian.org>  Tue, 29 Mar 2022 19:09:07 +0530

## angelfish 22.11

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,14 +5,15 @@
 
 project(angelfish)
 
-cmake_minimum_required(VERSION 2.8.12)
-set(KF5_MIN_VERSION "5.84.0")
+cmake_minimum_required(VERSION 3.16.0)
+set(KF5_MIN_VERSION "5.95.0")
 set(QT_MIN_VERSION "5.15.0")
 
-set(PROJECT_VERSION "21.07")
+set(PROJECT_VERSION "22.11")
 
-set(CMAKE_CXX_STANDARD 17)
+set(CMAKE_CXX_STANDARD 20)
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
+set(CMAKE_CXX_EXTENSIONS OFF)
 
 option(BUILD_TESTING "Build test programs" ON)
 
@@ -29,7 +30,7 @@
 find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
 
 # where to look first for cmake modules, before ${CMAKE_ROOT}/Modules/ is checked
-set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})
+set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH})
 
 include(ECMSetupVersion)
 include(ECMGenerateHeaders)
@@ -46,15 +47,22 @@
 
 ################# Find dependencies #################
 
-find_package(Qt5 ${QT_MIN_VERSION} REQUIRED NO_MODULE COMPONENTS Core Quick Test Gui Svg QuickControls2 Sql Feedback)
+find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} REQUIRED NO_MODULE COMPONENTS Core Quick Test Gui Svg QuickControls2 Sql)
+find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} OPTIONAL_COMPONENTS Feedback)
 find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS Kirigami2 Purpose I18n Config CoreAddons DBusAddons WindowSystem Notifications)
 
 # Necessary to support QtWebEngine installed in a different prefix than the rest of Qt (e.g flatpak)
-find_package(Qt5WebEngine REQUIRED)
+if(QT_MAJOR_VERSION STREQUAL "6")
+    find_package(Qt${QT_MAJOR_VERSION}WebEngineCore REQUIRED)
+    find_package(Qt${QT_MAJOR_VERSION}WebEngineQuick REQUIRED)
+else()
+    find_package(Qt${QT_MAJOR_VERSION}WebEngine REQUIRED)
+endif()
 
 # For adblocker
 find_package(Corrosion)
 set_package_properties(Corrosion PROPERTIES
+    TYPE RECOMMENDED
     PURPOSE "Required to build the builtin adblocker"
     DESCRIPTION "CMake scripts to seamlessly build and link to targets using cargo"
     URL https://github.com/AndrewGaspar/corrosion
@@ -62,8 +70,13 @@
 
 ################# Definitions to pass to the compiler #################
 
-add_definitions(-DQT_NO_FOREACH)
+add_definitions(-DQT_NO_FOREACH -DQT_NO_URL_CAST_FROM_STRING)
 kde_enable_exceptions()
+
+if (NOT Qt${QT_MAJOR_VERSION}Feedback_FOUND)
+    message(WARNING "Qt Feedback dependency is not found.\n"
+        "While it is optional since unmaintained, haptics feedback functionality is not supported without it.")
+endif()
 
 ################# build and install #################
 add_subdirectory(lib)
@@ -73,6 +86,8 @@
 endif()
 add_subdirectory(angelfish-webapp)
 
+ki18n_install(po)
+
 install(PROGRAMS org.kde.angelfish.desktop DESTINATION ${KDE_INSTALL_APPDIR})
 install(FILES org.kde.angelfish.metainfo.xml DESTINATION ${KDE_INSTALL_METAINFODIR})
 install(FILES org.kde.angelfish.svg DESTINATION ${KDE_INSTALL_FULL_ICONDIR}/hicolor/scalable/apps)

=== angelfish-webapp/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2020 Jonah Brüchert <jbb@kaidan.im>
# SPDX-FileCopyrightText: 2020 Rinigus <rinigus.git@gmail.com>
#
# SPDX-License-Identifier: LGPL-2.0-or-later

set(angelfish_webapp_SRCS
    main.cpp
    webapp-resources.qrc
)

add_executable(angelfish-webapp ${angelfish_webapp_SRCS} ${RESOURCES} ${WEBAPP_RESOURCES})

target_include_directories(angelfish-webapp PRIVATE ../src/)
target_compile_definitions(angelfish-webapp PRIVATE -DQT_NO_CAST_FROM_ASCII)
target_link_libraries(angelfish-webapp PRIVATE
    Qt::Core
    Qt::Qml
    Qt::Quick
    Qt::Sql
    Qt::Svg
    KF5::I18n
    KF5::CoreAddons
    AngelfishCore
)

if(QT_MAJOR_VERSION STREQUAL "6")
    target_link_libraries(angelfish-webapp PRIVATE Qt::WebEngineCore Qt::WebEngineQuick)
else()
    target_link_libraries(angelfish-webapp PRIVATE Qt::WebEngine)
endif()

install(TARGETS angelfish-webapp ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

=== lib/CMakeLists.txt ===
--- 
+++ 
@@ -20,13 +20,19 @@
 target_include_directories(AngelfishCore PUBLIC ${CMAKE_CURRENT_SOURCE_DIR})
 target_compile_definitions(AngelfishCore PRIVATE -DQT_NO_CAST_FROM_ASCII)
 target_link_libraries(AngelfishCore PUBLIC
-    Qt5::Core
-    Qt5::Sql
-    Qt5::WebEngine
+    Qt::Core
+    Qt::Sql
     KF5::ConfigCore
     KF5::ConfigGui
     KF5::I18n
     KF5::Notifications
 )
 
-install(FILES angelfishsettings.kcfg DESTINATION ${KCFG_INSTALL_DIR})
+if(QT_MAJOR_VERSION STREQUAL "6")
+    target_link_libraries(AngelfishCore PRIVATE Qt::CorePrivate Qt::WebEngineCore Qt::WebEngineQuick Qt::WebEngineQuickPrivate)
+else()
+    target_link_libraries(AngelfishCore PRIVATE Qt::WebEngine)
+endif()
+
+install(FILES angelfishsettings.kcfg DESTINATION ${KDE_INSTALL_KCFGDIR})
+install(FILES angelfish.notifyrc DESTINATION ${KDE_INSTALL_KNOTIFYRCDIR})

=== src/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2020 Jonah Brüchert <jbb@kaidan.im>
# SPDX-FileCopyrightText: 2020 Rinigus <rinigus.git@gmail.com>
#
# SPDX-License-Identifier: LGPL-2.0-or-later

set(angelfish_SRCS
    main.cpp
    adblockfilterlistsmodel.cpp
    adblockfilterlistsmanager.cpp
    adblockurlinterceptor.cpp
    domdistiller.cpp
    downloadsmodel.cpp
    webappcreator.cpp
    webappmanager.cpp
    webappmanagermodel.cpp
    angelfish.qrc
)

add_executable(angelfish ${angelfish_SRCS})

if (Corrosion_FOUND)
    add_custom_target(adblock
        SOURCES
        rs/adblock/Cargo.toml
        rs/adblock/build.rs
        rs/adblock/src/lib.rs
        rs/adblock/src/adblock.rs
        rs/adblock/src/domainresolver.rs
        rs/adblock/src/logging.rs)

    corrosion_import_crate(MANIFEST_PATH ${CMAKE_CURRENT_SOURCE_DIR}/rs/adblock/Cargo.toml)
    target_link_libraries(angelfish PRIVATE angelfish-adblock)
    target_compile_definitions(angelfish PRIVATE -DBUILD_ADBLOCK)

    target_include_directories(angelfish PRIVATE
        ${CMAKE_BINARY_DIR}/cargo/build/${Rust_CARGO_TARGET}/cxxbridge/angelfish-adblock/src/)
endif()

target_include_directories(angelfish PRIVATE ${CMAKE_BINARY_DIR})
target_compile_definitions(angelfish PRIVATE -DQT_NO_CAST_FROM_ASCII)
target_link_libraries(angelfish PRIVATE
    Qt::Core
    Qt::Qml
    Qt::Quick
    Qt::Sql
    Qt::Svg
    KF5::I18n
    KF5::CoreAddons
    KF5::ConfigCore
    KF5::ConfigGui
    KF5::DBusAddons
    KF5::WindowSystem
    AngelfishCore
)

if(QT_MAJOR_VERSION STREQUAL "6")
    target_link_libraries(angelfish PRIVATE Qt::CorePrivate Qt::WebEngineCore Qt::WebEngineQuick Qt::WebEngineQuickPrivate)
else()
    target_link_libraries(angelfish PRIVATE Qt::WebEngine)
endif()

install(TARGETS angelfish ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

=== debian/changelog ===
angelfish (22.11-1) unstable; urgency=medium

  * New upstream release 22.11
  * Drop do-not-seek-feedback.patch, refresh skip-flaky-test.patch
  * Mention copyright of new files. Gosh I hate this work so much

 -- Nilesh Patra <nilesh@debian.org>  Thu, 29 Dec 2022 23:04:23 +0530

=== debian/control ===
--- 
+++ 
@@ -29,7 +29,11 @@
 Package: angelfish
 Architecture: any
 Multi-Arch: foreign
-Depends: ${misc:Depends}, ${shlibs:Depends}, qml-module-qtfeedback, qml-module-qtwebengine
+Depends: ${misc:Depends}
+ , ${shlibs:Depends}
+ , qml-module-org-kde-kirigami2
+ , qml-module-qtfeedback
+ , qml-module-qtwebengine
 Description: Web browser for Plasma Mobile
  This is a webbrowser designed to
  - be used on small mobile devices,

=== debian/watch ===
version=4
https://invent.kde.org/plasma-mobile/angelfish/tags?sort=updated_desc .*/archive/v[0-9.]+/angelfish-v([0-9.]+)\.tar\.gz

## angelfish 23.04.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,13 +3,19 @@
 #
 # SPDX-License-Identifier: LGPL-2.0-or-later
 
-project(angelfish)
+cmake_minimum_required(VERSION 3.16.0)
 
-cmake_minimum_required(VERSION 3.16.0)
-set(KF5_MIN_VERSION "5.95.0")
+# KDE Applications version, managed by release script.
+set(RELEASE_SERVICE_VERSION_MAJOR "23")
+set(RELEASE_SERVICE_VERSION_MINOR "04")
+set(RELEASE_SERVICE_VERSION_MICRO "3")
+set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
+
+project(angelfish VERSION ${RELEASE_SERVICE_VERSION})
+
+set(KF_MIN_VERSION "5.95.0")
 set(QT_MIN_VERSION "5.15.0")
 
-set(PROJECT_VERSION "22.11")
 
 set(CMAKE_CXX_STANDARD 20)
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
@@ -27,7 +33,7 @@
 
 ################# set KDE specific information #################
 
-find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
+find_package(ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)
 
 # where to look first for cmake modules, before ${CMAKE_ROOT}/Modules/ is checked
 set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH})
@@ -38,6 +44,7 @@
 include(KDECMakeSettings)
 include(KDEClangFormat)
 include(ECMPoQmTools)
+include(ECMFindQmlModule)
 include(KDECompilerSettings NO_POLICY_SCOPE)
 
 ecm_setup_version(${PROJECT_VERSION}
@@ -47,9 +54,11 @@
 
 ################# Find dependencies #################
 
-find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} REQUIRED NO_MODULE COMPONENTS Core Quick Test Gui Svg QuickControls2 Sql)
+find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} REQUIRED NO_MODULE COMPONENTS Core Quick Test Gui Svg QuickControls2 Sql Widgets)
 find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} OPTIONAL_COMPONENTS Feedback)
-find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS Kirigami2 Purpose I18n Config CoreAddons DBusAddons WindowSystem Notifications)
+find_package(KF${QT_MAJOR_VERSION} ${KF_MIN_VERSION} REQUIRED COMPONENTS Kirigami2 Purpose I18n Config CoreAddons DBusAddons WindowSystem Notifications QQC2DesktopStyle)
+find_package(KF${QT_MAJOR_VERSION}KirigamiAddons 0.6 REQUIRED)
+set_package_properties(KF${QT_MAJOR_VERSION}QQC2DesktopStyle PROPERTIES TYPE RUNTIME)
 
 # Necessary to support QtWebEngine installed in a different prefix than the rest of Qt (e.g flatpak)
 if(QT_MAJOR_VERSION STREQUAL "6")

=== debian/changelog ===
angelfish (23.04.3-2) unstable; urgency=medium

  * Replace "kirigami-addons-dev" build-dependency
    with "kirigami-addons5-dev" (Closes: #1079469)

 -- Nilesh Patra <nilesh@debian.org>  Sun, 01 Sep 2024 16:00:12 +0530

angelfish (23.04.3-1) unstable; urgency=medium

  * New Upstream release 23.04.3
  * Add B-D on kirigami-addons-dev and libkf5qqc2desktopstyle-dev
  * Add Depends on:
    - qml-module-org-kde-kirigami-addons-labs-components
    - qml-module-org-kde-qqc2desktopstyle
    - qml-module-qt-labs-qmlmodels

 -- Nilesh Patra <nilesh@debian.org>  Fri, 02 Feb 2024 04:26:59 +0530

=== debian/control ===
--- 
+++ 
@@ -6,12 +6,14 @@
 Build-Depends: cmake, debhelper-compat (= 13),
   extra-cmake-modules,
   kirigami2-dev,
+  kirigami-addons5-dev,
   libkf5config-dev (>= 5.84~),
   libkf5coreaddons-dev (>= 5.84~),
   libkf5dbusaddons-dev (>= 5.84~),
   libkf5i18n-dev (>= 5.84~),
   libkf5purpose-dev (>= 5.84~),
   libkf5windowsystem-dev (>= 5.84~),
+  libkf5qqc2desktopstyle-dev,
   libqt5sql5-sqlite,
   libqt5svg5-dev,
   qtbase5-dev,
@@ -34,6 +36,9 @@
  , qml-module-org-kde-kirigami2
  , qml-module-qtfeedback
  , qml-module-qtwebengine
+ , qml-module-org-kde-kirigami-addons-labs-components
+ , qml-module-org-kde-qqc2desktopstyle
+ , qml-module-qt-labs-qmlmodels
 Description: Web browser for Plasma Mobile
  This is a webbrowser designed to
  - be used on small mobile devices,

## angelfish 23.08.4

=== debian/changelog ===
angelfish (23.08.4-0ubuntu2) noble; urgency=medium

  * No-change rebuild against qtwebengine-abi-5-15-16.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Wed, 03 Jan 2024 17:02:07 +0300

angelfish (23.08.4-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.4)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 13 Dec 2023 10:10:22 +0000

angelfish (23.08.3-0ubuntu1) noble; urgency=medium

  [ Rik Mills ]
  * New upstream release (23.08.0)
  * Build depend on libfuturesql-dev
  * New upstream release (23.08.1)
  * New upstream release (23.08.2)
  * New upstream release (23.08.3)

  [ José Manuel Santamaría Lema ]
  * Build depend on qcoro-qt5-dev

 -- Rik Mills <rikmills@kde.org>  Sat, 02 Dec 2023 06:51:46 +0000

angelfish (23.04.3-0ubuntu2) mantic; urgency=medium

  * No-change rebuild against qtwebengine-abi-5-15-15.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Fri, 15 Sep 2023 14:11:56 +0300

angelfish (23.04.3-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jul 2023 14:40:57 +0100

angelfish (23.04.2-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.1)
  * Update build depends:
    - add libkf5qqc2desktopstyle-dev
    - add kirigami-addons-dev
  * Pass '--with kf5' to dh in debian/rules
  * Add pkg-kde-tools to Build-Depends
  * New upstream release (23.04.2)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 10 Jun 2023 11:52:47 +0100

=== debian/control ===
Source: angelfish
Section: web
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Pirate Praveen <praveen@debian.org>
Uploaders: Nilesh Patra <nilesh@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               extra-cmake-modules,
               kirigami-addons-dev,
               kirigami2-dev,
               libfuturesql-dev,
               libkf5config-dev (>= 5.84~),
               libkf5coreaddons-dev (>= 5.84~),
               libkf5dbusaddons-dev (>= 5.84~),
               libkf5i18n-dev (>= 5.84~),
               libkf5notifications-dev (>= 5.84~),
               libkf5purpose-dev (>= 5.84~),
               libkf5qqc2desktopstyle-dev,
               libkf5windowsystem-dev (>= 5.84~),
               libqt5sql5-sqlite,
               libqt5svg5-dev,
               librust-cmake-dev,
               pkg-kde-tools,
               qcoro-qt5-dev,
               qtbase5-dev,
               qtfeedback5-dev,
               qtquickcontrols2-5-dev,
               qtwebengine5-dev,
Standards-Version: 4.6.0
Homepage: https://apps.kde.org/angelfish/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/angelfish
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/angelfish
Rules-Requires-Root: no

Package: angelfish
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}
 , ${shlibs:Depends}
 , qml-module-org-kde-kirigami2
 , qml-module-qtfeedback
 , qml-module-qtwebengine
Description: Web browser for Plasma Mobile
 This is a webbrowser designed to
 - be used on small mobile devices,
 - integrate well in Plasma workspaces
 .
 This use QtWebEngine as backend and supports webrtc.

## angelfish 23.08.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,14 +7,15 @@
 
 # KDE Applications version, managed by release script.
 set(RELEASE_SERVICE_VERSION_MAJOR "23")
-set(RELEASE_SERVICE_VERSION_MINOR "04")
-set(RELEASE_SERVICE_VERSION_MICRO "3")
+set(RELEASE_SERVICE_VERSION_MINOR "08")
+set(RELEASE_SERVICE_VERSION_MICRO "5")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(angelfish VERSION ${RELEASE_SERVICE_VERSION})
 
 set(KF_MIN_VERSION "5.95.0")
 set(QT_MIN_VERSION "5.15.0")
+set(QCORO_MIN_VERSION "0.7.0")
 
 
 set(CMAKE_CXX_STANDARD 20)
@@ -56,7 +57,7 @@
 
 find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} REQUIRED NO_MODULE COMPONENTS Core Quick Test Gui Svg QuickControls2 Sql Widgets)
 find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} OPTIONAL_COMPONENTS Feedback)
-find_package(KF${QT_MAJOR_VERSION} ${KF_MIN_VERSION} REQUIRED COMPONENTS Kirigami2 Purpose I18n Config CoreAddons DBusAddons WindowSystem Notifications QQC2DesktopStyle)
+find_package(KF${QT_MAJOR_VERSION} ${KF_MIN_VERSION} REQUIRED COMPONENTS Kirigami2 Purpose I18n Config CoreAddons DBusAddons WindowSystem Notifications OPTIONAL_COMPONENTS QQC2DesktopStyle)
 find_package(KF${QT_MAJOR_VERSION}KirigamiAddons 0.6 REQUIRED)
 set_package_properties(KF${QT_MAJOR_VERSION}QQC2DesktopStyle PROPERTIES TYPE RUNTIME)
 
@@ -67,6 +68,9 @@
 else()
     find_package(Qt${QT_MAJOR_VERSION}WebEngine REQUIRED)
 endif()
+
+find_package(FutureSQL${QT_MAJOR_VERSION} REQUIRED)
+find_package(QCoro${QT_MAJOR_VERSION} ${QCORO_MIN_VERSION} REQUIRED COMPONENTS Core Quick)
 
 # For adblocker
 find_package(Corrosion)
@@ -81,6 +85,7 @@
 
 add_definitions(-DQT_NO_FOREACH -DQT_NO_URL_CAST_FROM_STRING)
 kde_enable_exceptions()
+qcoro_enable_coroutines()
 
 if (NOT Qt${QT_MAJOR_VERSION}Feedback_FOUND)
     message(WARNING "Qt Feedback dependency is not found.\n"

=== autotests/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2020 Jonah Brüchert <jbb@kaidan.im>
# SPDX-FileCopyrightText: 2020 Rinigus <rinigus.git@gmail.com>
#
# SPDX-License-Identifier: LGPL-2.0-or-later

include(ECMAddTests)

find_package(Qt${QT_MAJOR_VERSION} ${REQUIRED_QT_VERSION} CONFIG REQUIRED Test Sql Gui Quick)

ecm_add_test(dbmanagertest.cpp
             TEST_NAME dbmanagertest
             LINK_LIBRARIES Qt::Test Qt::Sql Qt::Quick AngelfishCore
)

ecm_add_test(browsermanagertest.cpp
             TEST_NAME browsermanagertest
             LINK_LIBRARIES Qt::Test Qt::Sql Qt::Gui Qt::Quick AngelfishCore
)

ecm_add_test(tabsmodeltest.cpp
             TEST_NAME tabsmodeltest
             LINK_LIBRARIES Qt::Test Qt::Sql Qt::Gui Qt::Quick AngelfishCore
)

ecm_add_test(configtest.cpp
             TEST_NAME configtest
             LINK_LIBRARIES Qt::Test AngelfishCore
)

=== lib/CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,6 @@
     bookmarkshistorymodel.cpp
     dbmanager.cpp
     iconimageprovider.cpp
-    sqlquerymodel.cpp
     urlutils.cpp
     urlobserver.cpp
     useragent.cpp
@@ -22,10 +21,13 @@
 target_link_libraries(AngelfishCore PUBLIC
     Qt::Core
     Qt::Sql
-    KF5::ConfigCore
-    KF5::ConfigGui
-    KF5::I18n
-    KF5::Notifications
+    KF${QT_MAJOR_VERSION}::ConfigCore
+    KF${QT_MAJOR_VERSION}::ConfigGui
+    KF${QT_MAJOR_VERSION}::I18n
+    KF${QT_MAJOR_VERSION}::Notifications
+    FutureSQL${QT_MAJOR_VERSION}::FutureSQL
+    QCoro${QT_MAJOR_VERSION}::Core
+    QCoro${QT_MAJOR_VERSION}::Quick
 )
 
 if(QT_MAJOR_VERSION STREQUAL "6")

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -42,14 +42,16 @@
     Qt::Core
     Qt::Qml
     Qt::Quick
+    Qt::QuickControls2
     Qt::Sql
     Qt::Svg
-    KF5::I18n
-    KF5::CoreAddons
-    KF5::ConfigCore
-    KF5::ConfigGui
-    KF5::DBusAddons
-    KF5::WindowSystem
+    Qt::Widgets
+    KF${QT_MAJOR_VERSION}::I18n
+    KF${QT_MAJOR_VERSION}::CoreAddons
+    KF${QT_MAJOR_VERSION}::ConfigCore
+    KF${QT_MAJOR_VERSION}::ConfigGui
+    KF${QT_MAJOR_VERSION}::DBusAddons
+    KF${QT_MAJOR_VERSION}::WindowSystem
     AngelfishCore
 )

=== debian/changelog ===
angelfish (23.08.5-0ubuntu3.2) noble; urgency=medium

  * Properly address the apparmor profile issue by adding multiple
    lines for the different architectures we want to support until 
    @multiarch is supported. This closes (LP: #2065915)

 -- Scarlett Moore <sgmoore@debian.org>  Thu, 11 Jul 2024 04:35:10 -0700

angelfish (23.08.5-0ubuntu3.1) noble; urgency=medium

  * Allow everything apparmor following other profiles. (LP: #2065915) 

 -- Scarlett Moore <sgmoore@debian.org>  Mon, 08 Jul 2024 13:15:35 +0100

angelfish (23.08.5-0ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:14:17 +1100

angelfish (23.08.5-0ubuntu2) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 03:51:11 +0000

angelfish (23.08.5-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.5)

 -- Scarlett Moore <sgmoore@debian.org>  Thu, 22 Feb 2024 09:25:59 -0700

angelfish (23.08.4-0ubuntu3) noble; urgency=medium

  * Bump version. 

 -- Scarlett Moore <sgmoore@debian.org>  Tue, 06 Feb 2024 12:45:43 -0700

=== debian/control ===
--- 
+++ 
@@ -6,6 +6,7 @@
 Uploaders: Nilesh Patra <nilesh@debian.org>
 Build-Depends: cmake,
                debhelper-compat (= 13),
+               dh-apparmor,
                extra-cmake-modules,
                kirigami-addons-dev,
                kirigami2-dev,
@@ -41,6 +42,8 @@
  , qml-module-org-kde-kirigami2
  , qml-module-qtfeedback
  , qml-module-qtwebengine
+ , qml-module-org-kde-kirigami-addons-labs-components
+Suggests: apparmor
 Description: Web browser for Plasma Mobile
  This is a webbrowser designed to
  - be used on small mobile devices,

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with kf5

override_dh_install:
	mkdir -p debian/angelfish/etc/apparmor.d
	cp debian/angelfish-apparmor debian/angelfish/etc/apparmor.d/usr.bin.angelfish
	dh_apparmor --profile-name=usr.bin.angelfish -pangelfish

## angelfish 24.12.1

=== debian/changelog ===
angelfish (24.12.1-2ubuntu1) plucky; urgency=medium

  * Merge from Debian. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Add apparmor profile to fix userns.
    - Build with dh-sequence-kf6.
    - wrap-and-sort.
    - Update build depends from cmake.
    - Update qmldeps.overrides
    - Limit build to architectures where QtWebEngine is available.

 -- Rik Mills <rikmills@kde.org>  Sun, 19 Jan 2025 13:33:59 +0000

angelfish (24.12.1-1) unstable; urgency=medium

  * Fix watch file
  * Add upstream public key
  * New URL
  * Remove patch
  * Update copyright file
  * Update build-deps for new version
  * Automatically generate qml dependencies
  * Add dh_clean configuration to make it rebuildable
  * New upstream release

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Sun, 19 Jan 2025 12:45:49 +0100

angelfish (23.08.5-0ubuntu8) oracular; urgency=medium

  * Bump version. 

 -- Scarlett Moore <sgmoore@debian.org>  Thu, 11 Jul 2024 04:39:44 -0700

angelfish (23.08.5-0ubuntu7) oracular; urgency=medium

  * Properly address the apparmor profile issue by adding multiple
    lines for the different architectures we want to support until 
    @multiarch is supported. This closes (LP: #2064492)

 -- Scarlett Moore <sgmoore@debian.org>  Thu, 11 Jul 2024 04:36:17 -0700

angelfish (23.08.5-0ubuntu6) oracular; urgency=medium

  * Allow everything apparmor following other profiles. (LP: #2064492)

 -- Scarlett Moore <sgmoore@debian.org>  Mon, 08 Jul 2024 13:28:52 +0100

angelfish (23.08.5-0ubuntu5) oracular; urgency=medium

  * Include tunables/multiarch.d to allow for variable

 -- Scarlett Moore <sgmoore@debian.org>  Wed, 22 May 2024 05:40:17 -0700

angelfish (23.08.5-0ubuntu4) oracular; urgency=medium

  *  Set @{multiarch} rather than hard code path. (LP: #2064492)

 -- Scarlett Moore <sgmoore@debian.org>  Thu, 16 May 2024 05:08:48 -0700

angelfish (23.04.3-3) unstable; urgency=medium

  * Move under Qt/KDE team and add myself as uploader

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Fri, 17 Jan 2025 11:38:06 +0100

=== debian/control ===
Source: angelfish
Section: web
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Nilesh Patra <nilesh@debian.org>,
           Salvo 'LtWorf' Tomaselli <ltworf@debian.org>,
           Pirate Praveen <praveen@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-apparmor,
               dh-sequence-kf6,
               dh-sequence-qmldeps,
               cmake (>= 3.16.0~),
               extra-cmake-modules (>= 5.240~),
               kirigami-addons-dev (>= 0.6~),
               libfuturesql6-dev,
               libkf6config-dev (>= 5.240~),
               libkf6coreaddons-dev (>= 5.240~),
               libkf6dbusaddons-dev (>= 5.240~),
               libkf6i18n-dev (>= 5.240~),
               libkf6notifications-dev (>= 5.240~),
               libkf6purpose-dev (>= 5.240~),
               libkf6qqc2desktopstyle-dev (>= 5.240~),
               libkf6windowsystem-dev (>= 5.240~),
               libkirigami-dev (>= 5.240~),
               qcoro-qt6-dev (>= 0.7.0~),
               qt6-base-dev (>= 6.4~),
               qt6-base-private-dev,
               qt6-declarative-dev (>= 6.4~),
               qt6-svg-dev (>= 6.4~),
               qt6-webengine-dev,
               qt6-webengine-private-dev,
Standards-Version: 4.7.0
Homepage: https://apps.kde.org/angelfish/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/angelfish
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/angelfish
Rules-Requires-Root: no

Package: angelfish
Architecture: amd64 arm64 armhf
Multi-Arch: foreign
Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
Suggests: apparmor,
Description: Web browser for Plasma Mobile
 This is a webbrowser designed to
 - be used on small mobile devices,
 - integrate well in Plasma workspaces
 .
 This use QtWebEngine as backend and supports webrtc.

## angelfish 24.12.2

=== debian/changelog ===
angelfish (24.12.2-1) unstable; urgency=medium

  * Team upload.

  [ Aurélien COUDERC ]
  * New upstream release (24.12.2).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.0, no change required.
  * Add qml6-module-qt5compat-graphicaleffects to the build dependencies
    instead of overriding it for dh-sequence-qmldeps autodetection.
    (Closes: #1095582)
  * Also build rust-based ad-blocker. (Closes: #1037279)
  * Build with hardening=+all build hardening flag.
  * Review copyright information.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 09 Feb 2025 23:09:22 +0100

angelfish (24.12.1-2) unstable; urgency=medium

  * Add override for qmldeps

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Tue, 21 Jan 2025 11:54:12 +0100

## angelfish 24.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,15 +6,15 @@
 cmake_minimum_required(VERSION 3.16.0)
 
 # KDE Applications version, managed by release script.
-set(RELEASE_SERVICE_VERSION_MAJOR "23")
-set(RELEASE_SERVICE_VERSION_MINOR "08")
-set(RELEASE_SERVICE_VERSION_MICRO "5")
+set(RELEASE_SERVICE_VERSION_MAJOR "24")
+set(RELEASE_SERVICE_VERSION_MINOR "12")
+set(RELEASE_SERVICE_VERSION_MICRO "3")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(angelfish VERSION ${RELEASE_SERVICE_VERSION})
 
-set(KF_MIN_VERSION "5.95.0")
-set(QT_MIN_VERSION "5.15.0")
+set(KF_MIN_VERSION "5.240")
+set(QT_MIN_VERSION "6.4")
 set(QCORO_MIN_VERSION "0.7.0")
 
 
@@ -46,6 +46,7 @@
 include(KDEClangFormat)
 include(ECMPoQmTools)
 include(ECMFindQmlModule)
+include(ECMQmlModule)
 include(KDECompilerSettings NO_POLICY_SCOPE)
 
 ecm_setup_version(${PROJECT_VERSION}
@@ -55,22 +56,18 @@
 
 ################# Find dependencies #################
 
-find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} REQUIRED NO_MODULE COMPONENTS Core Quick Test Gui Svg QuickControls2 Sql Widgets)
-find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} OPTIONAL_COMPONENTS Feedback)
-find_package(KF${QT_MAJOR_VERSION} ${KF_MIN_VERSION} REQUIRED COMPONENTS Kirigami2 Purpose I18n Config CoreAddons DBusAddons WindowSystem Notifications OPTIONAL_COMPONENTS QQC2DesktopStyle)
-find_package(KF${QT_MAJOR_VERSION}KirigamiAddons 0.6 REQUIRED)
-set_package_properties(KF${QT_MAJOR_VERSION}QQC2DesktopStyle PROPERTIES TYPE RUNTIME)
+find_package(Qt6 ${QT_MIN_VERSION} REQUIRED NO_MODULE COMPONENTS Core Quick Test Gui Svg QuickControls2 Sql Widgets)
+find_package(Qt6 ${QT_MIN_VERSION} OPTIONAL_COMPONENTS Feedback)
+find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS Kirigami Purpose I18n Config CoreAddons DBusAddons WindowSystem Notifications OPTIONAL_COMPONENTS QQC2DesktopStyle)
+find_package(KF6KirigamiAddons 0.6 REQUIRED)
+set_package_properties(KF6QQC2DesktopStyle PROPERTIES TYPE RUNTIME)
 
 # Necessary to support QtWebEngine installed in a different prefix than the rest of Qt (e.g flatpak)
-if(QT_MAJOR_VERSION STREQUAL "6")
-    find_package(Qt${QT_MAJOR_VERSION}WebEngineCore REQUIRED)
-    find_package(Qt${QT_MAJOR_VERSION}WebEngineQuick REQUIRED)
-else()
-    find_package(Qt${QT_MAJOR_VERSION}WebEngine REQUIRED)
-endif()
+find_package(Qt6WebEngineCore REQUIRED)
+find_package(Qt6WebEngineQuick REQUIRED)
 
-find_package(FutureSQL${QT_MAJOR_VERSION} REQUIRED)
-find_package(QCoro${QT_MAJOR_VERSION} ${QCORO_MIN_VERSION} REQUIRED COMPONENTS Core Quick)
+find_package(FutureSQL6 REQUIRED)
+find_package(QCoro6 ${QCORO_MIN_VERSION} REQUIRED COMPONENTS Core Quick Qml)
 
 # For adblocker
 find_package(Corrosion)
@@ -87,7 +84,7 @@
 kde_enable_exceptions()
 qcoro_enable_coroutines()
 
-if (NOT Qt${QT_MAJOR_VERSION}Feedback_FOUND)
+if (NOT Qt6Feedback_FOUND)
     message(WARNING "Qt Feedback dependency is not found.\n"
         "While it is optional since unmaintained, haptics feedback functionality is not supported without it.")
 endif()

=== angelfish-webapp/CMakeLists.txt ===
--- 
+++ 
@@ -16,10 +16,12 @@
     Qt::Core
     Qt::Qml
     Qt::Quick
+    Qt::QuickControls2
     Qt::Sql
     Qt::Svg
-    KF5::I18n
-    KF5::CoreAddons
+    Qt::Widgets
+    KF${QT_MAJOR_VERSION}::I18n
+    KF${QT_MAJOR_VERSION}::CoreAddons
     AngelfishCore
 )

=== lib/CMakeLists.txt ===
--- 
+++ 
@@ -1,3 +1,8 @@
+configure_file(contents/ui/WebView.qml ${CMAKE_CURRENT_BINARY_DIR}/contents/ui/WebView.qml @ONLY)
+configure_file(contents/ui/PrintPreview.qml ${CMAKE_CURRENT_BINARY_DIR}/contents/ui/PrintPreview.qml @ONLY)
+
+configure_file(resources.qrc ${CMAKE_CURRENT_SOURCE_DIR}/resources-angelfish.generated.qrc)
+
 add_library(AngelfishCore STATIC
     browsermanager.cpp
     bookmarkshistorymodel.cpp
@@ -10,8 +15,7 @@
     settingshelper.cpp
     angelfishwebprofile.cpp
     downloadmanager.cpp
-    qquickwebenginedownloaditem.cpp
-    resources.qrc
+    ${CMAKE_CURRENT_SOURCE_DIR}/resources-angelfish.generated.qrc
 )
 
 kconfig_add_kcfg_files(AngelfishCore GENERATE_MOC angelfishsettings.kcfgc)
@@ -31,7 +35,7 @@
 )
 
 if(QT_MAJOR_VERSION STREQUAL "6")
-    target_link_libraries(AngelfishCore PRIVATE Qt::CorePrivate Qt::WebEngineCore Qt::WebEngineQuick Qt::WebEngineQuickPrivate)
+    target_link_libraries(AngelfishCore PRIVATE Qt::WebEngineCore Qt::WebEngineQuick)
 else()
     target_link_libraries(AngelfishCore PRIVATE Qt::WebEngine)
 endif()

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -2,6 +2,8 @@
 # SPDX-FileCopyrightText: 2020 Rinigus <rinigus.git@gmail.com>
 #
 # SPDX-License-Identifier: LGPL-2.0-or-later
+
+add_subdirectory(settings)
 
 set(angelfish_SRCS
     main.cpp
@@ -29,7 +31,11 @@
         rs/adblock/src/logging.rs)
 
     corrosion_import_crate(MANIFEST_PATH ${CMAKE_CURRENT_SOURCE_DIR}/rs/adblock/Cargo.toml)
-    target_link_libraries(angelfish PRIVATE angelfish-adblock)
+    if (Corrosion_VERSION VERSION_LESS 0.5.0)
+        target_link_libraries(angelfish PRIVATE angelfish-adblock)
+    else()
+        target_link_libraries(angelfish PRIVATE angelfish_adblock)
+    endif()
     target_compile_definitions(angelfish PRIVATE -DBUILD_ADBLOCK)
 
     target_include_directories(angelfish PRIVATE
@@ -46,19 +52,19 @@
     Qt::Sql
     Qt::Svg
     Qt::Widgets
-    KF${QT_MAJOR_VERSION}::I18n
-    KF${QT_MAJOR_VERSION}::CoreAddons
-    KF${QT_MAJOR_VERSION}::ConfigCore
-    KF${QT_MAJOR_VERSION}::ConfigGui
-    KF${QT_MAJOR_VERSION}::DBusAddons
-    KF${QT_MAJOR_VERSION}::WindowSystem
+    Qt::CorePrivate
+    Qt::WebEngineCore
+    Qt::WebEngineQuick
+    Qt::WebEngineQuickPrivate
+    KF6::I18n
+    KF6::CoreAddons
+    KF6::ConfigCore
+    KF6::ConfigGui
+    KF6::DBusAddons
+    KF6::WindowSystem
+    QCoro6::Qml
     AngelfishCore
+    angelfish_settingsplugin
 )
 
-if(QT_MAJOR_VERSION STREQUAL "6")
-    target_link_libraries(angelfish PRIVATE Qt::CorePrivate Qt::WebEngineCore Qt::WebEngineQuick Qt::WebEngineQuickPrivate)
-else()
-    target_link_libraries(angelfish PRIVATE Qt::WebEngine)
-endif()
-
 install(TARGETS angelfish ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

=== debian/changelog ===
angelfish (24.12.3-1) unstable; urgency=medium

  * New upstream release

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Fri, 21 Mar 2025 17:35:58 +0100

=== debian/control ===
Source: angelfish
Section: web
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Nilesh Patra <nilesh@debian.org>,
           Salvo 'LtWorf' Tomaselli <ltworf@debian.org>,
           Pirate Praveen <praveen@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-qmldeps,
               cmake (>= 3.16.0~),
               cargo,
               corrosion,
               extra-cmake-modules (>= 5.240~),
               kirigami-addons-dev (>= 0.6~),
               libfuturesql6-dev,
               libkf6config-dev (>= 5.240~),
               libkf6coreaddons-dev (>= 5.240~),
               libkf6dbusaddons-dev (>= 5.240~),
               libkf6i18n-dev (>= 5.240~),
               libkf6notifications-dev (>= 5.240~),
               libkf6purpose-dev (>= 5.240~),
               libkf6qqc2desktopstyle-dev (>= 5.240~),
               libkf6windowsystem-dev (>= 5.240~),
               libkirigami-dev (>= 5.240~),
               librust-adblock-dev,
               librust-cxx-build-dev,
               librust-cxx-dev,
               pkg-kde-tools,
               qcoro-qt6-dev (>= 0.7.0~),
               qml6-module-qt5compat-graphicaleffects,
               qt6-base-dev (>= 6.4~),
               qt6-base-private-dev,
               qt6-declarative-dev (>= 6.4~),
               qt6-svg-dev (>= 6.4~),
               qt6-webengine-dev,
               qt6-webengine-private-dev,
               rustc,
Standards-Version: 4.7.0
Homepage: https://apps.kde.org/angelfish/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/angelfish
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/angelfish.git
Rules-Requires-Root: no

Package: angelfish
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
Description: Web browser for Plasma Mobile
 This is a webbrowser designed to
 - be used on small mobile devices,
 - integrate well in Plasma workspaces
 .
 This use QtWebEngine as backend and supports webrtc.

## angelfish 25.04.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,9 +6,9 @@
 cmake_minimum_required(VERSION 3.16.0)
 
 # KDE Applications version, managed by release script.
-set(RELEASE_SERVICE_VERSION_MAJOR "24")
-set(RELEASE_SERVICE_VERSION_MINOR "12")
-set(RELEASE_SERVICE_VERSION_MICRO "3")
+set(RELEASE_SERVICE_VERSION_MAJOR "25")
+set(RELEASE_SERVICE_VERSION_MINOR "04")
+set(RELEASE_SERVICE_VERSION_MICRO "0")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(angelfish VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
angelfish (25.04.0-2) unstable; urgency=medium

  * Team upload.

  [ Aurélien COUDERC ]
  * Bump Standards-Version to 4.7.2, no change required.
  * Add lintian override for not shipping manuals, there’s none upstream
    and the programs have a very limited set of arguments.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 25 Apr 2025 14:53:30 +0200

angelfish (25.04.0-1) unstable; urgency=medium

  * New upstream release

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Sun, 20 Apr 2025 09:21:07 +0200

=== debian/control ===
--- 
+++ 
@@ -35,7 +35,7 @@
                qt6-webengine-dev,
                qt6-webengine-private-dev,
                rustc,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://apps.kde.org/angelfish/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/angelfish
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/angelfish.git

## angelfish 25.07.80

=== debian/changelog ===
angelfish (25.07.80-0ubuntu1) questing; urgency=medium

  * New upstream (beta) release (25.07.80)
  * Update build depends.
  * Update qmldeps.overrides

 -- Rik Mills <rikmills@kde.org>  Sat, 12 Jul 2025 18:00:56 +0100

angelfish (25.04.3-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Jul 2025 07:33:55 +0100

angelfish (25.04.2-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jun 2025 11:35:30 +0100

angelfish (25.04.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 07 May 2025 21:59:00 +0100

angelfish (25.04.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 30 Apr 2025 19:39:19 +0100

angelfish (24.12.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Mar 2025 08:34:02 +0000

angelfish (24.12.2-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Feb 2025 09:48:05 +0000

angelfish (24.12.1-2ubuntu2) plucky; urgency=medium

  * No-change rebuild against qtwebengine-abi-5-15-18.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Thu, 06 Feb 2025 10:32:52 +0300

=== debian/control ===
Source: angelfish
Section: web
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Nilesh Patra <nilesh@debian.org>,
           Salvo 'LtWorf' Tomaselli <ltworf@debian.org>,
           Pirate Praveen <praveen@debian.org>,
Build-Depends: cmake (>= 3.16.0~),
               debhelper-compat (= 13),
               dh-apparmor,
               dh-sequence-kf6,
               dh-sequence-qmldeps,
               extra-cmake-modules (>= 5.240~),
               kirigami-addons-dev (>= 0.6~),
               libfuturesql6-dev,
               libkf6config-dev (>= 5.240~),
               libkf6coreaddons-dev (>= 5.240~),
               libkf6dbusaddons-dev (>= 5.240~),
               libkf6i18n-dev (>= 5.240~),
               libkf6crash-dev (>= 5.240~),
               libkf6notifications-dev (>= 5.240~),
               libkf6purpose-dev (>= 5.240~),
               libkf6qqc2desktopstyle-dev (>= 5.240~),
               libkf6windowsystem-dev (>= 5.240~),
               libkirigami-dev (>= 5.240~),
               qcoro-qt6-dev (>= 0.7.0~),
               qt6-base-dev (>= 6.4~),
               qt6-base-private-dev,
               qt6-declarative-dev (>= 6.4~),
               qt6-svg-dev (>= 6.4~),
               qt6-webengine-dev,
               qt6-webengine-private-dev,
Standards-Version: 4.7.0
Homepage: https://apps.kde.org/angelfish/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/angelfish
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/angelfish
Rules-Requires-Root: no

Package: angelfish
Architecture: amd64 arm64 armhf
Multi-Arch: foreign
Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
Suggests: apparmor,
Description: Web browser for Plasma Mobile
 This is a webbrowser designed to
 - be used on small mobile devices,
 - integrate well in Plasma workspaces
 .
 This use QtWebEngine as backend and supports webrtc.

## angelfish 25.07.90

=== debian/changelog ===
angelfish (25.07.90-0ubuntu1) questing; urgency=medium

  * New upstream (RC) release (25.07.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Jul 2025 17:25:44 +0100
